DEFINES_TB := 
SIM_FILES  := $(DESIGN_OUT)/final.v        $(TBDIR)/*.v $(OUTDIR)/$(PLATFORM)/lib2v.v $(OUTDIR)/$(PLATFORM)/*.v
VERI_FILES := $(DESIGN_OUT)/bitlified.v glitcher.cpp $(OUTDIR)/$(PLATFORM)/lib2v.v $(OUTDIR)/$(PLATFORM)/*.v
VERI_OPTS :=  -Wno-lint

.PHONY: sim
sim: testbench.vvp

.PHONY: veri
veri: testbench_veri

testbench.vvp: $(SIM_FILES)
	iverilog $(DEFINES_TB) -o $@ $^

testbench_veri: $(VERI_FILES)
	# Threads = 0, because we want a single threaded model. Glitcher will take care of multithreading.
	verilator --compiler $(CXX) --threads 0 --cc --exe $(VERI_OPTS) -O3 --top-module $(DESIGN_TOP) $^ $(DEFINES_TB) --Mdir $(DESIGN_OUT)/tb/verilator
	$(MAKE) CXX=$(CXX) LINK=$(LINK) CXXFLAGS="$(CXXFLAGS)" -C $(DESIGN_OUT)/tb/verilator -f V$(DESIGN_TOP).mk
	cp $(DESIGN_OUT)/tb/verilator/V$(DESIGN_TOP) $@
